java.awt.geom

## Class NoninvertibleTransformException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.awt.geom.NoninvertibleTransformException

All Implemented Interfaces:
  Serializable

    public class NoninvertibleTransformException
    extends Exception

The `NoninvertibleTransformException` class represents an exception that is thrown if an operation is performed requiring the inverse of an `AffineTransform` object but the `AffineTransform` is in a non-invertible state.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`NoninvertibleTransformException(String s)` Constructs an instance of `NoninvertibleTransformException` with the specified detail message.

### Method Summary

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### NoninvertibleTransformException

    public NoninvertibleTransformException(String s)

Constructs an instance of `NoninvertibleTransformException` with the specified detail message.

Parameters:
  `s` - the detail message
Since:
  1.2

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.